# {{classname}}

All URIs are relative to *https://statsapi.mlb.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Conferences**](ConferenceApi.md#Conferences) | **Get** /api/v1/conferences | View conference info
[**Conferences1**](ConferenceApi.md#Conferences1) | **Get** /api/v1/conferences/{conferenceId} | View conference info

# **Conferences**
> ConferencesRestObject Conferences(ctx, conferenceId, optional)
View conference info

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **conferenceId** | **int32**|  | 
 **optional** | ***ConferenceApiConferencesOpts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a ConferenceApiConferencesOpts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | **optional.String**| Season of play | 
 **includeInactive** | **optional.Bool**|  | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**ConferencesRestObject**](ConferencesRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Conferences1**
> ConferencesRestObject Conferences1(ctx, conferenceId, optional)
View conference info

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
  **conferenceId** | **int32**|  | 
 **optional** | ***ConferenceApiConferences1Opts** | optional parameters | nil if no parameters

### Optional Parameters
Optional parameters are passed through a pointer to a ConferenceApiConferences1Opts struct
Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | **optional.String**| Season of play | 
 **includeInactive** | **optional.Bool**|  | 
 **fields** | [**optional.Interface of []string**](string.md)| Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

[**ConferencesRestObject**](ConferencesRestObject.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

